Bug 1316762 - Review Request: erlang-iconv - Fast encoding conversion library for Erlang / Elixir
Review Request: erlang-iconv - Fast encoding conversion library for Erlang / ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Cline
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1312517
  Show dependency treegraph
 
Reported: 2016-03-10 21:50 EST by Randy Barlow
Modified: 2016-04-06 15:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-iconv-1.0.0-4.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 15:36:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeremy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-03-10 21:50:48 EST
Spec URL: https://rbarlow.fedorapeople.org/erlang-iconv.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-iconv-1.0.0-2.fc25.src.rpm
Description: Erlang bindings for libiconv. This is used by ejabberd.
Fedora Account System Username: rbarlow
Comment 1 Randy Barlow 2016-03-10 21:53:20 EST
This is a package rename. Upstream renamed the package from p1_iconv to iconv, and moved the repository to match. This is the old package:

https://admin.fedoraproject.org/pkgdb/package/rpms/erlang-p1_iconv/
Comment 2 Randy Barlow 2016-03-11 13:29:51 EST
I am bumping the release of the original package in Rawhide, so I will need to adjust the provides/obsoletes statements in this spec file to reflect that change. I don't have time to do that at the moment, so this comment will serve to remind me.
Comment 3 Peter Lemenkov 2016-03-15 09:14:36 EDT
Needs cleaning up.

* Please, remove unnecessary BuildRequires - erlang-eunit, erlang-rpm-macros.

* Please add dependency on a NIF version (we can't do it automatically yet). E.g. add "%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}". See this spec-file for the example - http://pkgs.fedoraproject.org/cgit/rpms/erlang-basho_metrics.git/tree/erlang-basho_metrics.spec#n23

* Please, use macro %{rebar_eunit}.
Comment 4 Randy Barlow 2016-03-15 21:48:52 EDT
Hello Peter!

I have made the requested changes in release 3 of the package:

Spec URL: https://rbarlow.fedorapeople.org/erlang-iconv.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-iconv-1.0.0-3.fc25.src.rpm
Comment 5 Peter Lemenkov 2016-03-16 06:49:58 EDT
* You should remove "%global debug_package %{nil}" because this package contains so-library and therefore should have debuginfo sub-package.
Comment 6 Randy Barlow 2016-03-18 00:40:19 EDT
Hello again Peter! I have added the debug package in release 4:

Spec URL: https://rbarlow.fedorapeople.org/erlang-iconv.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-iconv-1.0.0-4.fc25.src.rpm
Comment 7 Jeremy Cline 2016-04-05 20:14:42 EDT
Packages failed to install in the mock root, but install on the real system just fine.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated".
     3 files have unknown license. Detailed output of licensecheck in
     /home/vagrant/fedora-reviews/1316762-erlang-iconv/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in erlang-
     iconv-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
Finish: chroot init
INFO: installing package(s): /home/vagrant/fedora-reviews/1316762-erlang-iconv/results/erlang-iconv-1.0.0-4.fc25.x86_64.rpm /home/vagrant/fedora-reviews/1316762-erlang-iconv/results/erlang-iconv-debuginfo-1.0.0-
4.fc25.x86_64.rpm /home/vagrant/fedora-reviews/1316762-erlang-iconv/results/erlang-iconv-debuginfo-1.0.0-4.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/vagrant/fedora-reviews/1316762-erlang-iconv/results/erlang-icon
v-1.0.0-4.fc25.x86_64.rpm /home/vagrant/fedora-reviews/1316762-erlang-iconv/results/erlang-iconv-debuginfo-1.0.0-4.fc25.x86_64.rpm /home/vagrant/fedora-reviews/1316762-erlang-iconv/results/erlang-iconv-debuginfo
-1.0.0-4.fc25.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: erlang-iconv-1.0.0-4.fc25.x86_64.rpm
          erlang-iconv-debuginfo-1.0.0-4.fc25.x86_64.rpm
          erlang-iconv-1.0.0-4.fc25.src.rpm
erlang-iconv.x86_64: W: spelling-error %description -l en_US libiconv -> biconvex
erlang-iconv.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-iconv.x86_64: W: no-soname /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so
erlang-iconv.src: W: spelling-error %description -l en_US libiconv -> biconvex
erlang-iconv.src: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
3 packages and 0 specfiles checked; 0 errors, 5 warnings.


Rpmlint on installed packages
-----------------------------
[vagrant@fedora 1316762-erlang-iconv]$ rpmlint erlang-iconv erlang-iconv-debuginfo 
erlang-iconv.x86_64: W: spelling-error %description -l en_US libiconv -> biconvex
erlang-iconv.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-iconv.x86_64: W: no-soname /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so
erlang-iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so enif_alloc_binary
erlang-iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so enif_free
erlang-iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so enif_realloc_binary
erlang-iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so enif_make_binary
erlang-iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so enif_alloc
erlang-iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so enif_release_binary
erlang-iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so enif_make_badarg
erlang-iconv.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so enif_inspect_iolist_as_binary
2 packages and 0 specfiles checked; 0 errors, 11 warnings.




Requires
--------
erlang-iconv (rpmlib, GLIBC filtered):
    erlang(erl_nif_version)
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-stdlib(x86-64)
    libc.so.6()(64bit)
    rtld(GNU_HASH)

erlang-iconv-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
erlang-iconv:
    erlang-iconv
    erlang-iconv(x86-64)
    erlang-p1_iconv

erlang-iconv-debuginfo:
    erlang-iconv-debuginfo
    erlang-iconv-debuginfo(x86-64)



Unversioned so-files
--------------------
erlang-iconv: /usr/lib64/erlang/lib/iconv-1.0.0/priv/lib/iconv.so

Source checksums
----------------
https://github.com/processone/iconv/archive/1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : b964bc7a561852a6123f732203a67262c07b392cf201b4a2b1bf48d0cb1c4964
  CHECKSUM(SHA256) upstream package : b964bc7a561852a6123f732203a67262c07b392cf201b4a2b1bf48d0cb1c4964


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1316762
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Note You need to log in before you can comment on or make changes to this bug.